Bug 186714 - Blender crashes X when opening
Blender crashes X when opening
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2006-03-25 11:11 EST by Linda Worthington
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-01 06:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linda Worthington 2006-03-25 11:11:37 EST
Description of problem:
I clicked on the Blender icon and X crashed. Blender never attempted to open.

Version-Release number of selected component (if applicable):

How reproducible:
Click the Blender Icon under Graphics > Blender

Steps to Reproduce:
Actual results:
X crashed and brought me back to the login screen

Expected results:
Blender app working.

Additional info:
0: /usr/bin/Xorg(xf86SigHandler+0x87) [0x80b86c7]
1: [0x8f4420]
2: /usr/lib/xorg/modules/extensions/libglx.so(__glXDeassociateContext+0x19)
3: /usr/lib/xorg/modules/extensions/libglx.so [0x570a22]
4: /usr/bin/Xorg(FreeClientResources+0x85) [0x8071755]
5: /usr/bin/Xorg(CloseDownClient+0x1b4) [0x8082424]
6: /usr/bin/Xorg(Dispatch+0x2bb) [0x8088a0b]
7: /usr/bin/Xorg(main+0x487) [0x80701d7]
8: /lib/libc.so.6(__libc_start_main+0xdc) [0x92b7e4]
9: /usr/bin/Xorg(FontFileCompleteXLFD+0xb1) [0x806f511]

Fatal server error:
Caught signal 11.  Server aborting
Comment 1 Scott Phipps 2006-03-29 19:36:48 EST
I am seeing something similar. Any time I open anything 3d, x crashes. My system
is an intel Pentium D with nvidia GeForce 6200 pcie card driving two samsung
790df monitors in dual head mode, though it does the same thing in single head mode.
Comment 2 Scott Phipps 2006-03-29 19:38:45 EST
forgot to mention, I am using the Nvidia drivers from livna
Comment 3 Mike A. Harris 2006-03-29 19:52:37 EST
Original reporter only:

Please attach your X server log and config file as individual uncompressed
file attachments.
Comment 4 Vince Worthington 2006-04-01 05:54:29 EST

We found the problem.

The problem is that nvidia-installer replaces
/usr/lib/xorg/modules/extensions/libglx.so with a symbolic link which points to
libglx.so.1.0.8178 (or whatever version of Nvidia's libglx.so has been installed).  

Since there is a real shared library named
/usr/lib/xorg/modules/extensions/libglx.so which belongs to the
xorg-x11-server-Xorg package, if this package is updated, Nvidia's libglx.so
will get replaced, leaving one in place that the nvidia module doesn't work
correctly with.  So probably just about anything done by the nvidia module
within the X session that makes function calls to libglx.so causes the X server
to crash.  (that's been our experience anyway).

So the first solution I found is to "reinstall" nvidia's driver kit.

The important thing, however, is getting nvidia's
libglx.so.1.0.<version-whatever> back in play.  Assuming the current Nvidia
libglx.so.1.0.<version-whatever> shared library still exists in
/usr/lib/xorg/modules/extensions/, just moving the libglx.so owned by
xorg-x11-server-Xorg to another filename and re-symlinking
libglx.so.1.0.<version-whatever> to libglx.so should have been good enough too.  

For example:

# cd /usr/lib/xorg/modules/extensions
# mv libglx.so libglx.so.Xorg
# ln -s libglx.so.1.0.8178 libglx.so

All is working well now with Blender as well as anything else GL-related on both
systems here.  Mike if you still want to get a crashed X server log and the
xorg.conf from Linda to have something to refer back to, let us know and we'll
recreate the problem environment and get you one as soon as she gets to a
stopping point on her current documentation project.

Comment 5 Mike A. Harris 2006-04-01 06:12:22 EST
We do not support Nvidia's proprietary drivers, or systems which have
the driver installed, even if the user is using the Red Hat supplied
driver.  The reason for this, is that Nvidia's installer blows away
Red Hat supplied operating system files as you have just discovered,
thus making the system completely unsupportable.

Anyone who has installed the Nvidia proprietary driver, and is experiencing
any problems at all, even if they are using the "nv" driver supplied by
Red Hat, should not report a bug in Red Hat bugzilla, unless the problem
can be reproduced on a fresh operating system install which has been
updated to the latest Fedora released updates, and which does not have
any any 3rd party driver modules installed.

Here is some additional information which may be useful for people experiencing
problems with, or related to using Nvidia's proprietary drivers:

For users who are experiencing problems installing, configuring,
or using the unsupported 3rd party proprietary "nvidia" video
driver, Nvidia provides indirect customer support via an
online web based support forum.  Nvidia monitors these web
forums for commonly reported problems and passes them on to
Nvidia engineers for investigation.  Once they've isolated a
particular problem, it is often fixed in a future video driver

The NVNews Nvidia Linux driver forum is located at:


Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding

X.Org mailing lists:

XFree86 mailing lists:

Red Hat mailing lists:

Setting status to "CANTFIX" (unsupported).

Note You need to log in before you can comment on or make changes to this bug.